{
  "name": "dashboard",
  "version": "1.0.0",
  "license": "MIT",
  "repository": "git@github.com:phntxx/dashboard",
  "contributors": [
    "phntxx <hello@phntxx.com>"
  ],
  "private": false,
  "dependencies": {
    "@types/node": "^20.0.0",
    "@types/react-dom": "^18.0.0",
    "@types/styled-components": "^5.1.9",
    "browserslist": "^4.21.11",
    "http-server": "^14.1.0",
    "npm-run-all": "^4.1.5",
    "react": "^18.0.0",
    "react-dom": "^18.0.0",
    "react-scripts": "^5.0.0",
    "styled-components": "^6.0.8",
    "typescript": "^5.2.2"
  },
  "devDependencies": {
    "@testing-library/jest-dom": "^6.1.3",
    "@testing-library/react": "^14.0.0",
    "@testing-library/user-event": "^14.0.4",
    "@types/jest": "^29.0.0",
    "@typescript-eslint/parser": "^6.0.0",
    "codecov": "^3.8.2",
    "eslint": "^8.13.0",
    "eslint-plugin-react-hooks": "^4.2.0",
    "prettier": "^3.0.0"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "coverage": "codecov -f coverage/*.json -F dashboard",
    "test": "react-scripts test",
    "typecheck": "tsc --noEmit",
    "eject": "react-scripts eject",
    "lint": "eslint --config .eslintrc.js",
    "prettier": "prettier --config .prettierrc.js '{data,src}/**/*.{json,ts,tsx}'",
    "format": "prettier -w --config .prettierrc.js '{data,src}/**/*.{json,ts,tsx}'",
    "http-server:data": "http-server ./ -c-1",
    "http-server:app": "http-server ./build --proxy http://localhost:8080 --port 3000",
    "serve:production": "npm-run-all --parallel http-server:data http-server:app"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
